com.independentsoft.exchange

## Class AlternatePublicFolderItemId

- java.lang.Object
- - com.independentsoft.exchange.SourceId
  - - com.independentsoft.exchange.AlternatePublicFolderItemId

-     public class AlternatePublicFolderItemId
      extends SourceId

  Describes a public folder item identifier to convert to another identifier format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlternatePublicFolderItemId()` Initializes a new instance of the AlternatePublicFolderItemId class.
    `AlternatePublicFolderItemId(IdFormat format, java.lang.String folderId, java.lang.String itemId)` Initializes a new instance of the AlternatePublicFolderItemId class with the specified format, folderId and itemId.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getFolderId()` Gets the public folder that contains the public folder item.
    `IdFormat` | `getFormat()` Gets the format that describes the public folder item identifier to convert.
    `java.lang.String` | `getItemId()` Gets the public folder item to convert.
    `void` | `setFolderId(java.lang.String folderId)` Sets the public folder that contains the public folder item.
    `void` | `setFormat(IdFormat format)` Sets the format that describes the public folder item identifier to convert.
    `void` | `setItemId(java.lang.String itemId)` Sets the public folder item to convert.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlternatePublicFolderItemId

          public AlternatePublicFolderItemId()

      Initializes a new instance of the AlternatePublicFolderItemId class.

    - #### AlternatePublicFolderItemId

          public AlternatePublicFolderItemId(IdFormat format,
                                             java.lang.String folderId,
                                             java.lang.String itemId)

      Initializes a new instance of the AlternatePublicFolderItemId class with the specified format, folderId and itemId.
      Parameters:
        `format` - the format
        `folderId` - the folder id
        `itemId` - the item id

  - ### Method Detail

    - #### getFormat

          public IdFormat getFormat()

      Gets the format that describes the public folder item identifier to convert.
      Returns:
        the format

    - #### setFormat

          public void setFormat(IdFormat format)

      Sets the format that describes the public folder item identifier to convert.
      Parameters:
        `format` - the new format

    - #### getFolderId

          public java.lang.String getFolderId()

      Gets the public folder that contains the public folder item.
      Returns:
        the folder id

    - #### setFolderId

          public void setFolderId(java.lang.String folderId)

      Sets the public folder that contains the public folder item.
      Parameters:
        `folderId` - the new folder id

    - #### getItemId

          public java.lang.String getItemId()

      Gets the public folder item to convert.
      Returns:
        the item id

    - #### setItemId

          public void setItemId(java.lang.String itemId)

      Sets the public folder item to convert.
      Parameters:
        `itemId` - the new item id